import { ViewContainerRef, OnDestroy, ElementRef, AfterContentInit } from '@angular/core';
import { OverlayRef, Overlay } from '@angular/cdk/overlay';
import { Directionality } from '@angular/cdk/bidi';
import { DatepickerInputDirective } from '../datepicker-input/datepicker-input.directive';
export declare class DatepickerComponent implements OnDestroy, AfterContentInit {
    private _overlay;
    private _viewContainerRef;
    private _scrollStrategy;
    private _dir;
    connectedElementRef: ElementRef;
    minDate: Date;
    maxDate: Date;
    _popupRef: OverlayRef;
    selectedDate: Date;
    private readonly ESC_KEY_CODE;
    private _calendarPortal;
    private _popupComponentRef;
    private _datepickerInput;
    constructor(_overlay: Overlay, _viewContainerRef: ViewContainerRef, _scrollStrategy: any, _dir: Directionality);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    onNewDateSelected(newDate: Date): void;
    registerInput(input: DatepickerInputDirective): void;
    openPopup(): void;
    private _closePopup;
    private _createPopup;
    private _createPopupPositionStrategy;
}
